%define upstream_name    Exception-Class-TryCatch
%define upstream_version 1.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Syntactic tryE<sol>catch sugar for use with Exception::Class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Exception/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exception::Class)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
Exception::Class::TryCatch provides syntactic sugar for use with the
Exception::Class manpage using the familiar keywords 'try' and 'catch'. Its
primary objective is to allow users to avoid dealing directly with '$@' by
ensuring that any exceptions caught in an 'eval' are captured as the
Exception::Class manpage objects, whether they were thrown objects to begin
with or whether the error resulted from 'die'. This means that users may
immediately use 'isa' and various the Exception::Class manpage methods to
process the exception. 

In addition, this module provides for a method to push errors onto a hidden
error stack immediately after an 'eval' so that cleanup code or other error
handling may also call 'eval' without the original error in '$@' being
lost.

Inspiration for this module is due in part to Dave Rolsky's article
"Exception Handling in Perl With Exception::Class" in _The Perl Journal_
(Rolsky 2004).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.130.0-11.mga10
+ Revision: 2198703
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.130.0-10.mga9
+ Revision: 1803497
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.130.0-9.mga8
+ Revision: 1494453
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.130.0-8.mga7
+ Revision: 1267867
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.130.0-7.mga6
+ Revision: 1027043
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.130.0-6.mga6
+ Revision: 949085
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.130.0-5.mga5
+ Revision: 789004
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.130.0-4.mga5
+ Revision: 745734
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.130.0-3.mga5
+ Revision: 732103
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.130.0-2.mga5
+ Revision: 684663
- Mageia 5 Mass Rebuild

* Fri Feb 28 2014 jquelin <jquelin> 1.130.0-1.mga5
+ Revision: 597854
- update to 1.13

* Fri Oct 18 2013 umeabot <umeabot> 1.120.0-3.mga4
+ Revision: 511401
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.120.0-2.mga3
+ Revision: 366994
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.120.0-1.mga1
+ Revision: 29116
- mageia rebuild
- imported package perl-Exception-Class-TryCatch


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.120.0-1mdv2010.0
+ Revision: 405857
- rebuild using %%perl_convert_version

* Tue Nov 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.12-1mdv2009.1
+ Revision: 299759
- update to new version 1.12

* Fri Oct 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-1mdv2009.1
+ Revision: 291361
- import perl-Exception-Class-TryCatch


* Fri Oct 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.11-1mdv2009.1
- initial mdv release, generated with cpan2dist

